Subject: Solaris, Berkeley format (was: Can pine do this...?)

From: "Adam H. Kerman" <[email-masked]>
Date: Wed, 11 Feb 1998 13:12:14 -0600 (CST)

>From: Andy Behrens <[email-masked]>
>Date: Wed, 11 Feb 1998 13:09:42 -0500 (EST)

>>I take it that Solaris doesn't use "Berkeley" format as a message boundary?

>It's "almost Berkeley", but with one modification. They've added a Content-
>Length: line in the header, containing the length of the message, in bytes.
>When they scan the mail folder, they ignore Berkeley "From_" lines until
>they've read at least Content-Length bytes.

Thanks for pointing that out.

>The interaction with Pine come about because Sun's mail-delivery agent doesn't
>escape embedded From_ lines. (It doesn't have to, because it has added a
>Content-Length header containing the message length, and all of Sun's mail
>readers use the Content-Length). But when Pine reads the message, not knowing
>about Content-Length, it sees the From_ in the middle of the message and
>assumes that it starts a new message.

But, this confuses me. Pine does not require that embedded "<nl><nl>From " in
the message body be escaped!

>From technotes.txt:

Berkeley Mail Format

Some mail programs will interpret any line beginning with "From " as a message
separator, while others --including Pine-- will not be confused unless the line
really looks like a message separator, complete with address and date. Such
lines will be modified to begin with ">From ".

Now, I've never been able to fool Pine into seeing a message boundary unless I
actually add a line that exactly resembles an acceptable "Berkeley" boundary. A
simple "From " following a blank line doesn't do it.

The only thing that's ever confused Pine about the boundary is when someone has
read an e-mail message into another message, preserving the boundary.